/**
 * @file app.h
 * @brief app logic
 * @author hendrik schutter
 * @date 01.05.2020
 */

#ifndef APP_H_
#define APP_H_

#include "refurbishingHddTool.h"
#include "drive.h"
#include "smart.h"

class App {
protected:


public:
    App(void);
    void app_logic();

private:

    list <Drive> listDrives; //stores all drive data

    void searchDrives(list <Drive> *listDrives);
    void printDrives(list <Drive> *listDrives);
    void filterIgnoredDrives(list <Drive> *listDrives);
    void addSMARTData(list <Drive> *listDrives);
};




#endif  // APP_H_